# Provider data

## Get full provider data

<mark style="color:blue;">`GET`</mark> `https://api.aviowiki.com/airports/{aid}/providers/all`

#### Path Parameters

| Name                                  | Type   | Description                |
| ------------------------------------- | ------ | -------------------------- |
| aid<mark style="color:red;">\*</mark> | String | Aviowiki ID of the airport |

#### Headers

| Name          | Type   | Description                              |
| ------------- | ------ | ---------------------------------------- |
| Authorization | String | An API Token using Bearer authorization. |

{% tabs %}
{% tab title="200: OK Query was successful." %}
The detailed properties of one returned set item can be found in the [Provider](/data-models/provider.md) documentation.

```json
[
	{
		"name": "RUDY'S INFLIGHT CATERING",
		"website": "http://www.rudysinflight.com",
		"phone": "+1 201 727 1122",
		"outOfHoursPhone": null,
		"email": "orders@rudysinflight.com",
		"streetName": " ",
		"locality": null,
		"municipality": " ",
		"governingDistrict": null,
		"postalCode": " ",
		"country": {
			"iso2": "US",
			"iso3": "USA",
			"isoNumeric": 840,
			"name": "United States",
			"officialName": "United States of America",
			"localIdentifierName": null
		},
		"paymentMethods": null,
		"category": "CATERING",
		"sita": null,
		"aftn": null,
		"vhf": null,
		"featuredOrder": null,
		"logo": null,
		"pictures": [],
		"handlingProvider": null,
		"parent": "APT-KS1J-8E0L",
		"aid": "PRV-ZFIK-5S6M"
	},
	...,
	...,
	...
]
```

{% endtab %}

{% tab title="403: Forbidden No API token was provided or it was invalid." %}

```
{
      // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviowiki.com/authenticated-endpoints/provider-endpoints/provider-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
